Package org.apache.groovy.json.internal

# Enum Class Type

java.lang.Object
java.lang.Enum<Type>
org.apache.groovy.json.internal.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Type>`, `Constable`

public enum Type extends Enum<Type>
Token classifications used by the lazy JSON parser.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOUBLE`
  Decimal numeric token.
  `FALSE`
  Boolean `false` token.
  `INTEGER`
  Integer numeric token.
  `LIST`
  Array container token.
  `MAP`
  Object container token.
  `NULL`
  `null` token.
  `STRING`
  String token.
  `TRUE`
  Boolean `true` token.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTEGER

    public static final Type INTEGER
    Integer numeric token.

  - ### STRING

    public static final Type STRING
    String token.

  - ### DOUBLE

    public static final Type DOUBLE
    Decimal numeric token.

  - ### TRUE

    public static final Type TRUE
    Boolean `true` token.

  - ### FALSE

    public static final Type FALSE
    Boolean `false` token.

  - ### NULL

    public static final Type NULL
    `null` token.

  - ### MAP

    public static final Type MAP
    Object container token.

  - ### LIST

    public static final Type LIST
    Array container token.

- ## Method Details

  - ### values

    public static Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null